New: Streamlined onboarding defaults  View changelog
Customers & OnboardingKYB Integration Guide

KYB via Link

This guide walks you through onboarding business customers using the Business Customer KYB Link.

Introduction

To initiate the KYB process via link, generate a KYB link and redirect the customer to the hosted KYB page to complete the verification process. This method is ideal for rapid integration and is best suited for integrators who prefer using SpherePay's native KYB experience.

Before you begin

Ensure you have:

  • A SpherePay API key — see Authentication
  • The business's email address and phone number to create their profile

The KYB link redirects the business customer to a hosted page where they complete the full verification process — business document upload, UBO registration, and liveness check — without any additional API calls on your side. To create a KYB link, use the Create KYB Link endpoint.

The following steps will guide you through the process of onboarding a business customer step by step using KYB Link.

1. Create a Customer

To create a customer, you can use the Create Customer endpoint.

POST https://api.spherepay.co/v2/customer

Request Example

{
  "type": "business",
  "email": "contact@acmecorp.example.com",
  "phone": "+14155551234",
  "addresses": [
    {
      "type": "registered",
      "country": "USA",
      "line1": "123 Main Street",
      "line2": "Suite 100",
      "city": "Chicago",
      "state": "IL",
      "postalCode": "60601"
    },
    {
      "type": "operating",
      "country": "USA",
      "line1": "456 Market Street",
      "line2": "Floor 10",
      "city": "Chicago",
      "state": "IL",
      "postalCode": "60602"
    }
  ]
}

2. Accept Terms of Service

Generate a Terms of Service link and redirect the business representative to accept the Terms and Conditions. To generate a TOS link, use the Generate TOS Link endpoint.

POST https://api.spherepay.co/v2/customer/{id}/tos-link

Once the link is generated, redirect the business representative to complete the Terms of Service acceptance. This step can be done in parallel with generating the KYB link.

In parallel with the TOS step, generate a KYB link to collect the business customer's identity information. To generate a KYB link, use the Generate KYB Link endpoint.

POST https://api.spherepay.co/v2/customer/{id}/kyc-link

Once the link is generated, redirect the business customer to the page to complete the KYB process. The hosted experience handles business document upload, UBO registration, face liveness verification, and all required questions in one flow.

Bank account registration

During the KYB flow, the customer may register a bank account. It will remain in pending status until their identity is fully verified and the profile reaches approved.

4. Check Customer Status

After the customer has completed the KYB process, poll Get Customer until status in verificationProfiles reaches approved.

GET https://api.spherepay.co/v2/customer/{id}

Approved Response Example

{
  "id": "customer_2f283221a9d44ada800ac7f11f640402",
  "email": "contact@acmecorp.example.com",
  "phone": "+14155551234",
  "businessLegalName": "Acme Corporation Inc.",
  "businessTradeName": "Acme Corp",
  "verificationProfiles": [
    {
      "name": "kyb_profile_a",
      "status": "approved",
      "criteria": {
        "complete": [
          "email_address",
          "phone_number",
          "operating_address",
          "registered_address",
          "legal_name",
          "trade_name",
          "entity_type",
          "description",
          "naics_code",
          "website",
          "incorporated_on",
          "identification_number",
          "estimated_annual_revenue",
          "expected_monthly_payments",
          "account_purpose",
          "source_of_funds",
          "source_of_funds_description",
          "is_dao",
          "regulated_activities",
          "participates_in_regulated_financial_activity",
          "operates_in_prohibited_countries",
          "terms_of_service",
          "merchant_service_agreement",
          "business_representatives",
          "incorporation_cert_document",
          "shareholder_registry_document",
          "proof_of_address_document"
        ],
        "pending": [],
        "required": [],
        "errors": []
      }
    }
  ],
  "meta": {},
  "createdAt": "2026-03-09T21:26:43.756Z",
  "updatedAt": "2026-03-09T21:26:43.756Z",
  "type": "business"
}

When required is empty and status is approved, the business customer is fully onboarded and ready to transfer.

What's Next

With the business customer onboarded, register their payment methods before initiating a transfer.

Register Payment Methods

Create a Transfer

Make Routine Transfers Easier with Onramper Accounts & Offloader Wallets

Last updated on